require "studio_game/clumsy_player"

module StudioGame
  describe ClumsyPlayer do
    before do
      @player = ClumsyPlayer.new("klutz")
    end

    it "adds on a w00t bonus" do
      @w00t_bonus = 2
      expect(@player.health) == 30
    end
    
    it "only gets half the point value for each treasure" do
      expect(@player.points) == 0

      hammer = Treasure.new(:hammer, 50)
      @player.found_treasure(hammer)
      @player.found_treasure(hammer)
      @player.found_treasure(hammer)

      expect(@player.points) == 75

      crowbar = Treasure.new(:crowbar, 400)
      @player.found_treasure(crowbar)
      
      expect(@player.points) == 275    
      
      yielded = []
      @player.each_found_treasure do |treasure|
        yielded << treasure
      end

      expect(yielded) == [Treasure.new(:hammer, 75), Treasure.new(:crowbar, 200)]    
    end

  end
end